List supported models
curl --request GET \
--url https://api.together.ai/v1/rl/supported-models \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.together.ai/v1/rl/supported-models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.together.ai/v1/rl/supported-models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.together.ai/v1/rl/supported-models",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.together.ai/v1/rl/supported-models"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.together.ai/v1/rl/supported-models")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.together.ai/v1/rl/supported-models")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"base_model": "Qwen/Qwen3.5-4B",
"default_gpu_type": "H100-80GB",
"compute_configs": [
{
"gpu_type": "H100-80GB",
"trainer_config": {
"full": {
"max_batch_size": 512,
"max_seq_length": 40960
},
"lora": {
"max_batch_size": 512,
"max_seq_length": 40960,
"max_rank": 64
}
},
"generator_config": {
"context_length": 40960,
"sampling_defaults": {
"n": 1,
"max_tokens": 512,
"temperature": 1,
"logprobs": 1
}
}
}
]
}
]
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": null,
"code": null
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": null,
"code": null
}
}Post-training
List supported models
Returns the models supported by the RL service and their limits for training/sampling operations.
GET
/
rl
/
supported-models
List supported models
curl --request GET \
--url https://api.together.ai/v1/rl/supported-models \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.together.ai/v1/rl/supported-models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.together.ai/v1/rl/supported-models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.together.ai/v1/rl/supported-models",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.together.ai/v1/rl/supported-models"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.together.ai/v1/rl/supported-models")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.together.ai/v1/rl/supported-models")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"base_model": "Qwen/Qwen3.5-4B",
"default_gpu_type": "H100-80GB",
"compute_configs": [
{
"gpu_type": "H100-80GB",
"trainer_config": {
"full": {
"max_batch_size": 512,
"max_seq_length": 40960
},
"lora": {
"max_batch_size": 512,
"max_seq_length": 40960,
"max_rank": 64
}
},
"generator_config": {
"context_length": 40960,
"sampling_defaults": {
"n": 1,
"max_tokens": 512,
"temperature": 1,
"logprobs": 1
}
}
}
]
}
]
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": null,
"code": null
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": null,
"code": null
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
List of supported RL models
List of base models supported by the RL service
Supported base models for RL
Show child attributes
Show child attributes
Was this page helpful?
⌘I